Bug 499643 - Plymouth should have new splash for F11
Plymouth should have new splash for F11
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
Blocks: F11Target
  Show dependency treegraph
Reported: 2009-05-07 10:32 EDT by Ray Strode [halfline]
Modified: 2009-05-13 22:12 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-13 22:12:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2009-05-07 10:32:53 EDT
A few weeks ago Mike Langlie posted a suggestion for a new plymouth splash on the art list.



There was a rough consensus that it was a good idea, and I recently implemented it based on the existing (unreleased) glow plugin on the plugin-rework branch of plymouth here:


We're already after the preview release, but I think adding it would bring a lot of polish to F11.

A number of people have asked about it.  See, Paul Frields ask about it here:

and someone else here:

Obviously, if this were to go in, we'd need to hammer on it pretty hard to make sure it won't break set ups.

This blocks on getting fedora-logos-11.0.5-1.fc11 tagged first
(see http://koji.fedoraproject.org/koji/buildinfo?buildID=101244)
Comment 1 Paul W. Frields 2009-05-07 13:30:47 EDT
Ray, thank you for your continued effort on the plugin.  I would be happy to help however I can with testing, etc.  Do you need someone to put the freeze exception request into rel-eng's Trac?
Comment 2 Paul W. Frields 2009-05-07 13:31:31 EDT
(Umm... I suppose that would come *after* the hammering. Yeah.)
Comment 3 Bill Nottingham 2009-05-07 13:33:55 EDT
Is there a build of the new plymouth for testing?

Does it require additional images in generic-logos or similar?
Comment 4 Ray Strode [halfline] 2009-05-08 10:43:50 EDT
I've built it in the devel branch for testing.  Not sure what to do about generic logos, i guess we can do a debranded set of frames.

fedora-logos got tagged yesterday.
Comment 5 Ray Strode [halfline] 2009-05-08 10:48:50 EDT
The easiest way to try it out is:

koji download-build --arch=noarch --latest dist-f11 fedora-logos
koji download-build --arch=x86_64 --latest dist-f12 plymouth

note the second line says dist-f12 (and change the x86_64 to your arch)


rpm -Uvh fedora-logos plymouth*



should return "charge".  If it doesn't then run

plymouth-set-default-theme charge

and last step is to rebuild your initrd

Comment 6 Chris Ball 2009-05-08 11:04:47 EDT
Tested successfully on x86_64 and Intel 965 (a Dell m1330).
Comment 7 Chris Ball 2009-05-08 11:12:03 EDT
Actually, I'm having trouble with the shutdown animation.  The animation sequence happens fine, but now the laptop's just sitting there showing the completed Fedora logo.  If I hit escape, I get a black screen.  If I hit escape again, it goes back to the logo.  If I hit escape and then ctrl-alt-f2, I get a login prompt that ignores my keypresses.

(It's quite plausible that this is not the fault of the new plymouth plugin in particular, but I mention it anyway.  I should make sure I'm running latest Rawhide; I think I might be a week or so behind the tip.)
Comment 8 Chris Ball 2009-05-08 11:13:26 EDT
I attempted to reproduce, and the shutdown was successful the next time around.
Comment 9 Bill Nottingham 2009-05-08 11:18:47 EDT
Seemed to work in one test. Weirdly, before updating the initrd,

booted in spinfinity
ESC -> details
ESC -> text progress bar

The *display* of shutdown is still pretty screwy for me, but it does shut down.
Comment 10 Chris Ball 2009-05-08 11:21:17 EDT
I have initscripts-8.94-1, which notting says has known shutdown issues.  So, all clear from me.
Comment 11 Tom "spot" Callaway 2009-05-08 11:40:06 EDT
Looks fine for me.
Comment 12 Ray Strode [halfline] 2009-05-08 13:49:37 EDT
can you guys retry with plymouth-0.7.0-0.2009.05.08.1  I've included in it a fix to make shutdown look better that I did yesterday.
Comment 13 Will Woods 2009-05-08 13:58:51 EDT
I've been testing with plymouth-0.7.0-0.2009.05.08.1.fc12, on i586 and x86_64. I tested with nouveau.modeset, vga=xxx, and sometimes without any framebuffer just to confirm the text fallback works.

Everything seems to be working fine. The only real surprise turned out to be that my new workstation shuts down too fast for me to flip over to the text and see the shutdown messages. Works as expected on older machines where the shutdown is actually slow enough that I might need to check on what's happening.
Comment 14 Ray Strode [halfline] 2009-05-08 14:09:59 EDT
Alright, I'll request it gets tagged.
Comment 15 Bill Nottingham 2009-05-08 14:20:57 EDT
So, for the shutdown bits, it appears to work. However, there's  no longer text progress bar on shutdown. Intended?
Comment 16 Paul W. Frields 2009-05-08 14:22:45 EDT
Sorry I'm coming in late here -- I have tried the plugin here, and saw thus far
only problems that looked related to nouveau and not plymouth.  I just updated
to the newest nouveau driver and would like to test, but I have to finish a
call before I can restart this system. ;-)  Dell XPS M1330 notebook, Nvidia
GeForce 8400M GS.
Comment 17 Bill Nottingham 2009-05-08 14:29:58 EDT
Also, attempting to switch to details mode in the GUI shutdown doesn't appear to show details.
Comment 18 Ray Strode [halfline] 2009-05-10 22:34:40 EDT
Right, we no longer show progress indication on shutdown. There's no way for us to record how long it's going to take so we couldn't give an accurate progress bar anyway.  Furthermore, it looks really weird with some themes.

I'm guessing you're trying to switch to details mode after the disk is unmounted? If not, then we must not be redirecting /dev/console properly on shutdown (or upstart is writing to a specific tty instead of /dev/console).  If so, then there are a few possible fixes:

1) Make the details theme a builtin instead of plugin
2) Merge the details view with the loaded theme instead of as a separate plugin

Anyway, should probably track that as a separate bug report.

Note You need to log in before you can comment on or make changes to this bug.